summaryrefslogtreecommitdiff
path: root/packaging/ubuntu-mantic-docker/exchange-build.sh
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2024-02-10 19:44:26 +0100
committerChristian Grothoff <grothoff@gnunet.org>2024-02-10 19:44:26 +0100
commit876fdea061f813b1524a7f7a89dfd60c4144f18d (patch)
tree271b5c8cdf479461c8ff3c93d52c45f4c868d90e /packaging/ubuntu-mantic-docker/exchange-build.sh
parent5b914fdbd309515d62cb1fc343dd7c8bd93d3981 (diff)
downloaddeployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.tar.gz
deployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.tar.bz2
deployment-876fdea061f813b1524a7f7a89dfd60c4144f18d.zip
work on packaging
Diffstat (limited to 'packaging/ubuntu-mantic-docker/exchange-build.sh')
-rw-r--r--packaging/ubuntu-mantic-docker/exchange-build.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/packaging/ubuntu-mantic-docker/exchange-build.sh b/packaging/ubuntu-mantic-docker/exchange-build.sh
new file mode 100644
index 0000000..57b38e4
--- /dev/null
+++ b/packaging/ubuntu-mantic-docker/exchange-build.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+mkdir -p /build/taler
+cd /build/taler
+
+export CC=gcc-12
+# Fetch source
+rm -rf *
+
+pip3 install htmlark
+
+git clone git://git.taler.net/exchange
+cd exchange
+git checkout $1
+./bootstrap
+dpkg-buildpackage -rfakeroot -b -uc -us
+cd ..
+dpkg -i *.deb
+
+tar uvf ../packages.tgz *.deb
+cd ..